Name: xosd
Version: 2.0.2
Release: alt1

Summary: X On Screen Display, displays XMMS status information
License: GPL
Group: Sound
URL: http://www.ignavus.net/software.html
Source: http://www.ignavus.net/%name-%version.tar.bz2
Patch1: %name-%version-remove-rpath.patch

# Automatically added by buildreq on Fri Jan 17 2003
BuildRequires: XFree86-devel-static XFree86-libs gdk-pixbuf-devel glib-devel glibc-devel-static gtk+-devel libxmms-devel

%description
This is a X On Screen Display library, modules and utilities.

%package -n lib%name
Group: System/Libraries
Summary: Library for displaying information in an OSD

%package -n lib%name-devel
Group: Development/C
Summary: Header files for developing programs using libxosd
Requires: lib%name = %version-%release

%package -n xmms-osd
Group: Sound
Summary: X On Screen Display, displays XMMS status information
Requires: lib%name = %version-%release
Requires: xmms
Provides: xmms-xosd = %version-%release
Obsoletes: xmms-xosd

%description -n lib%name
This package contains the shared library of xosd, it is requires by programs
that display it's output in a TV set's on screen display fashion.

%description -n lib%name-devel
This package contains the header files you need to develop programs based on
libxosd that display it's output in a TV set's on screen display fashion.

%description -n xmms-osd
This package contains an xmms plugin to display various things whenever they
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen
display fashion.

%prep
%setup -q
%patch1 -p1

%build
%configure
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_libdir/xmms/General
mkdir -p $RPM_BUILD_ROOT%_man1dir
mkdir -p $RPM_BUILD_ROOT%_man3dir
mkdir -p $RPM_BUILD_ROOT%_datadir/aclocal
mkdir -p $RPM_BUILD_ROOT%_datadir/%name
mkdir -p $RPM_BUILD_ROOT%_includedir
install -p -m644 man/*.1 $RPM_BUILD_ROOT%_man1dir/
install -p -m644 man/*.3 $RPM_BUILD_ROOT%_man3dir/
install -p -m644 src/libxosd/.libs/libxosd.a $RPM_BUILD_ROOT%_libdir/
install -p -m755 src/libxosd/.libs/libxosd.lai $RPM_BUILD_ROOT%_libdir/libxosd.la
install -p -m755 src/libxosd/.libs/libxosd.so.2.0.2 $RPM_BUILD_ROOT%_libdir/
ln -s libxosd.so.2.0.2 libxosd.so
ln -s libxosd.so.2.0.2 libxosd.so.2
install -p -m755 src/xmms_plugin/.libs/libxmms_osd.lai $RPM_BUILD_ROOT%_libdir/xmms/General/libxmms_osd.la
install -p -m755 src/xmms_plugin/.libs/libxmms_osd.so $RPM_BUILD_ROOT%_libdir/xmms/General/libxmms_osd.so
install -p -m755 src/.libs/osd_cat $RPM_BUILD_ROOT%_bindir
install -p -m755 script/xosd-config $RPM_BUILD_ROOT%_bindir
install -p -m644 libxosd.m4 $RPM_BUILD_ROOT/usr/share/aclocal/
install -p -m644 src/xosd.h $RPM_BUILD_ROOT%_includedir
install -p -m644 pixmaps/*.png $RPM_BUILD_ROOT%_datadir/%name

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%_libdir/*.so.*
%_libdir/libxosd.la
%_libdir/libxosd.a
%doc ChangeLog README AUTHORS

%files -n lib%name-devel
%_bindir/*
%_libdir/*.la
%_libdir/*.a
%_includedir/xosd.h
%_datadir/aclocal/libxosd.m4

%_mandir/man?/*

%files -n xmms-osd
%_libdir/xmms/General/*
%_datadir/%name/*.png
%changelog
* Fri Jan 17 2003 Nazar Yurpeak <phoenix@altlinux.ru> 2.0.2-alt1
- new version

* Wed Nov 14 2002 Nazar Yurpeak <phoenix@altlinux.ru> 2.0.1-alt1
- new version
- spec cleanup

* Sun Nov 10 2002 Nazar Yurpeak <phoenix@altlinux.ru> 2.0.0-alt1
- new version
- fixed rpath

* Wed Feb 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.7.0-alt3
- Specfile cleanup.
- Recent fix cleanup.

* Wed Jan 30 2002 Igor Muratov <migor@altlinux.ru> 0.7.0-alt2
- fix by Sergey Pinaev <dfo@antex.ru>
	- don't crash when can't make XFontSet
	- display non-latin1 characters

* Wed Nov 28 2001 Igor Muratov <migor@altlinux.ru> 0.7.0-alt1
- First build for ALT.

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-3mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- split library package to fix rpmlint errors
	- added osd_cat to devel package
	- patched for new libtool

* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com>

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- updated and fixed by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.7.0
	- added manpage
	- more macros

* Mon Mar 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6.1-3mdk
- Add xosd.h.

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- fix buildrequires

* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.6.1
	- recreated Makefile patch

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.5.0
	- removed patch
	- fixed installation
	- added call of ldconfig in post and postun

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-2mdk
- Adjust BuildRequires to new lib policy
- Spec clean up

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- used, once again, great srpm from  Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake package
	- fixed Makefile
